#
# spec file for package python-intake
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-intake
Version:        0.4.1
Release:        1.1
Summary:        Data loading and cataloging system
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/ContinuumIO/intake
Source0:        https://files.pythonhosted.org/packages/source/i/intake/intake-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/ContinuumIO/intake/%{version}/LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Jinja2
Requires:       python-PyYAML
Requires:       python-appdirs
Requires:       python-dask
Requires:       python-dask-array
Requires:       python-dask-bag
Requires:       python-dask-dataframe
Requires:       python-holoviews
Requires:       python-jupyter_ipywidgets >= 7.2
Requires:       python-msgpack-numpy
Requires:       python-msgpack
Requires:       python-numpy
Requires:       python-pandas
Requires:       python-pytest
Requires:       python-python-snappy
Requires:       python-requests
Requires:       python-ruamel.yaml >= 0.15.0
Requires:       python-six
Requires:       python-tornado >= 4.5.1
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Jinja2}
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module appdirs}
BuildRequires:  %{python_module dask}
BuildRequires:  %{python_module dask-array}
BuildRequires:  %{python_module dask-bag}
BuildRequires:  %{python_module dask-dataframe}
BuildRequires:  %{python_module holoviews}
BuildRequires:  %{python_module jupyter_ipywidgets >= 7.2}
BuildRequires:  %{python_module msgpack-numpy}
BuildRequires:  %{python_module msgpack}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-snappy}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module ruamel.yaml >= 0.15.0}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module tornado >= 4.5.1}
# /SECTION
%python_subpackages

%description
A plugin system for loading your data and making data catalogs.

%prep
%setup -q -n intake-%{version}
cp %{SOURCE10} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_expand $python -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/intake/cli/tests/
%python_expand $python -O -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/intake/cli/tests/
%python_expand %fdupes %{buildroot}%{$python_sitelib}/intake/cli/tests/

%files %{python_files}
%doc README.md
%license LICENSE
%python3_only %{_bindir}/intake-server
%python3_only %{_bindir}/intake
%{python_sitelib}/*

%changelog
* Mon Jan 21 2019 Todd R <toddrme2178@gmail.com>
- Initial version
